Subject: [alto] I-D Action: draft-ietf-alto-cost-calendar-12.txt

From: [email-masked]
Date: Tue, 14 May 2019 07:49:20 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Application-Layer Traffic Optimization WG of the IETF.

        Title           : ALTO Cost Calendar
        Authors         : Sabine Randriamasy
                          Richard Yang
                          Qin Wu
                          Lingli Deng
                          Nico Schwan
	Filename        : draft-ietf-alto-cost-calendar-12.txt
	Pages           : 31
	Date            : 2019-05-14

Abstract:
   This document is an extension to the base Application-Layer Traffic
   Optimization (ALTO) protocol.  It extends the ALTO cost information
   service so that applications decide not only 'where' to connect, but
   also 'when'.  This is useful for applications that need to perform
   bulk data transfer and would like to schedule these transfers during
   an off-peak hour, for example.  This extension introduces ALTO Cost
   Calendar, with which an ALTO Server exposes ALTO cost values in JSON
   arrays where each value corresponds to a given time interval.  The
   time intervals as well as other Calendar attributes, are specified in
   the Information Resources Directory and ALTO Server responses.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-alto-cost-calendar/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-alto-cost-calendar-12
https://datatracker.ietf.org/doc/html/draft-ietf-alto-cost-calendar-12

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-alto-cost-calendar-12

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Randriamasy, Sabine (Nokia - FR/Paris-Saclay)" <[email-masked]>
Date: Tue, 14 May 2019 15:10:02 +0000

Hello ALTO WG,

This new version addresses the comments sent by Vijay. 
It also attends to Mirja and Jan's recommendations during our last WG session, regarding the reference JSON encoding format: 

draft-ietf-alto-cost-calendar-12.txt now uses RFC8259 as a normative reference. RFC7159 is obsoleted by RFC8259. RFC7285 references RFC7159, as RFC8259 was not around at that time. The WG discussed this point and has not identified any ALTO protocol extension being tied to using UTF-{16,32}. Therefore, this point is addressed in section 7.  "Operational Considerations" of  draft-ietf-alto-cost-calendar-12.txt with the following text: 

"Clients and Servers supporting ALTO Calendars use [RFC8259].
   [RFC7285] encodes its requests and responses using the JSON Data
   Interchange Format specified in [RFC7159].  In the meantime,
   [RFC7159] has been obsoleted by [RFC8259], that among others makes
   UTF-8 mandatory for text encoding to improve interoperability.
   Therefore, ALTO Clients and Servers implementations using UTF-{16,32}
   need to be cognizant of the subsequent interoperability risks and it
   is RECOMMENDED for them to switch to UTF-8 encoding, if they want to
   interoperate with Calendar-aware Servers and Clients."

Thanks,
Sabine

-----Original Message-----
From: alto <[email-masked]> On Behalf Of [email-masked]
Sent: Tuesday, May 14, 2019 4:49 PM
To: [email-masked]
Cc: [email-masked]
Subject: [alto] I-D Action: draft-ietf-alto-cost-calendar-12.txt

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

_______________________________________________
alto mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/alto

---

From: "Randriamasy, Sabine (Nokia - FR/Paris-Saclay)" <[email-masked]>
Date: Tue, 14 May 2019 15:18:26 +0000

Hello Adam,

A new version of draft-ietf-alto-cost-calendar-12.txt is now available and your feedback would be more than welcome, regarding the reference JSON encoding format used in this extension, on which you commented in your review last November.

draft-ietf-alto-cost-calendar-12.txt now uses RFC8259 as a normative reference. RFC7159 is obsoleted by RFC8259. RFC7285 references RFC7159, as RFC8259 was not around at that time. The WG discussed this point and has not identified any ALTO protocol extension being tied to using UTF-{16,32}. 

Therefore, this point is addressed in section 7.  "Operational Considerations" of  draft-ietf-alto-cost-calendar-12.txt with the following text: 

Thanks,
Sabine

-----Original Message-----
From: alto <[email-masked]> On Behalf Of [email-masked]
Sent: Tuesday, May 14, 2019 4:49 PM
To: [email-masked]
Cc: [email-masked]
Subject: [alto] I-D Action: draft-ietf-alto-cost-calendar-12.txt

Abstract: